%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-gnocchi
Version:        10.4.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Gnocchi
License:        ASL 2.0

URL:            https://launchpad.net/puppet-gnocchi

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.4.0

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Gnocchi

%prep
%setup -q -n openstack-gnocchi-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/gnocchi/



%files
%{_datadir}/openstack-puppet/modules/gnocchi/


%changelog
* Wed Apr 11 2018 Steve Linabery <slinaber@redhat.com> 10.4.0-1
- Update to 10.4.0

* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Switch to Zuul v3 testing

* Thu Nov 09 2017 shrjoshi <shrjoshi@redhat.com> 10.3.1-2
- [ocata] Add Puppet package to bindep, for module build

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Use the correct tag on httpd so gnocchi service gets notified
- Use proper resource collector syntax for httpd service
- Add metric_processing_delay param
- Update to 10.3.1

* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-3
- Install python-redis when coordination is set

* Wed Mar 15 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Update License to ASL 2.0

* Fri Feb 10 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


